SoCubeDetail(3IV)

NAME
SoCubeDetail — stores detail information about the SoCube node

INHERITS FROM
SoDetail > SoCubeDetail

SYNOPSIS
#include <Inventor/details/SoCubeDetail.h>

Methods from class SoCubeDetail:

SoCubeDetail()
virtual
~SoCubeDetail()
int
getPart() const
static SoType
getClassTypeId()

Methods from class SoDetail:

SoDetail *
copy() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point on a cube. It contains the part of the cube that was hit.

Part values are as follows:
0	Front
1	Back
2	Left
3	Right
4	Top
5	Bottom

METHODS

SoCubeDetail()
virtual
~SoCubeDetail()
Constructor and destructor.

int
getPart() const
Returns the part in the detail.

static SoType
getClassTypeId()
Returns type identifier for this class.

SEE ALSO
SoCube, SoDetail, SoPickedPoint, SoPrimitiveVertex